import { Component } from '@angular/core';
import { IonHeader, IonToolbar, IonTitle, IonContent, IonTabButton } from '@ionic/angular/standalone';
import { ExploreContainerComponent } from '../explore-container/explore-container.component';
import { IonButton } from '@ionic/angular/standalone';
import { IonIcon } from '@ionic/angular/standalone';
import { EditTagComponent } from '../edit-tag/edit-tag.component';
import { EditRatingStarComponent } from '../edit-rating-star/edit-rating-star.component';


@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss'],
  standalone: true,
  imports: [
    IonHeader, IonToolbar, IonTitle, IonContent, ExploreContainerComponent, IonTabButton, IonButton,
    IonIcon,EditTagComponent,EditRatingStarComponent
  ],
})
export class Tab1Page {

  /**
   * 星星打分
   */
  currentScore:number = 0; // 初始分值

  handleScoreChange(newScore: number) {
    this.currentScore = newScore;
    console.log('新分值:', newScore); // 处理分值变化
  }

  /**
   * 标签编辑
   */
  editTags:Array<string> = []
  setTagValue(ev:any){
    console.log("setTagValue：",ev)
    this.editTags = ev
  }

  goToPage(){
    alert('go to page');
  }

  constructor() {}
}
